curl --request GET \
--url https://api.yapily.com/consents \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/consents"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/consents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yapily.com/consents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yapily.com/consents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yapily.com/consents")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yapily.com/consents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"meta": {
"tracingId": "d7b537b108934105a522dc7b4522380b",
"count": 1,
"pagination": {
"totalCount": 1,
"self": {
"sort": "-date",
"offset": 0
}
}
},
"data": [
{
"id": "56a42244-414a-4b52-8c4f-4ad2a50e82fe",
"userUuid": "ca412fdf-5a30-43a2-88b7-5964a24a8e55",
"applicationUserId": "string",
"institutionId": "modelo-sandbox",
"status": "AUTHORIZED",
"createdAt": "2021-06-08T10:59:35.138Z",
"featureScope": [
"ACCOUNT_BENEFICIARIES",
"ACCOUNT_STATEMENT_FILE",
"ACCOUNTS",
"ACCOUNT_PERIODIC_PAYMENTS",
"ACCOUNT_TRANSACTIONS",
"ACCOUNT",
"ACCOUNT_STATEMENTS",
"ACCOUNT_SCHEDULED_PAYMENTS",
"IDENTITY",
"ACCOUNT_DIRECT_DEBITS",
"ACCOUNT_STATEMENT",
"ACCOUNT_BALANCES",
"ACCOUNT_TRANSACTIONS_WITH_MERCHANT"
],
"consentToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJJTlNUSVRVVElPTiI6Im1vZGVsby1zYW5kYm94IiwiQ09OU0VOVCI6IjU2YTQyMjQ0LTQxNGEtNGI1Mi04YzRmLTRhZDJhNTBlODJmZSIsIkFQUExJQ0FUSU9OX1VTRVJfSUQiOiJtb2ZlLTIiLCJVU0VSIjoiY2E0MTJmZGYtNWEzMC00M2EyLTg4YjctNTk2NGEyNGE4ZTU1In0.gorwpnUjSr5dzQJLR32M2geWOj7yK9xMsZmq27ssY9xP_xGmWfUL_aqVHYyQ4r5KWw6Xb6RjvO839st8chJLtg",
"state": "a09f8ff9c1284444aa635267e05f76e1",
"authorizedAt": "2021-06-08T10:59:53.288Z",
"institutionConsentId": "aac-605d48f2-2a0e-4594-81a9-996524fa3b2a"
}
]
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Get Consents
Used to retrieve all the consents created for each user within an application. At least one of the following filters needs to be applied: filter[applicationUserId], filter[userUuid]=, limit=.
curl --request GET \
--url https://api.yapily.com/consents \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/consents"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/consents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yapily.com/consents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yapily.com/consents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yapily.com/consents")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yapily.com/consents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"meta": {
"tracingId": "d7b537b108934105a522dc7b4522380b",
"count": 1,
"pagination": {
"totalCount": 1,
"self": {
"sort": "-date",
"offset": 0
}
}
},
"data": [
{
"id": "56a42244-414a-4b52-8c4f-4ad2a50e82fe",
"userUuid": "ca412fdf-5a30-43a2-88b7-5964a24a8e55",
"applicationUserId": "string",
"institutionId": "modelo-sandbox",
"status": "AUTHORIZED",
"createdAt": "2021-06-08T10:59:35.138Z",
"featureScope": [
"ACCOUNT_BENEFICIARIES",
"ACCOUNT_STATEMENT_FILE",
"ACCOUNTS",
"ACCOUNT_PERIODIC_PAYMENTS",
"ACCOUNT_TRANSACTIONS",
"ACCOUNT",
"ACCOUNT_STATEMENTS",
"ACCOUNT_SCHEDULED_PAYMENTS",
"IDENTITY",
"ACCOUNT_DIRECT_DEBITS",
"ACCOUNT_STATEMENT",
"ACCOUNT_BALANCES",
"ACCOUNT_TRANSACTIONS_WITH_MERCHANT"
],
"consentToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJJTlNUSVRVVElPTiI6Im1vZGVsby1zYW5kYm94IiwiQ09OU0VOVCI6IjU2YTQyMjQ0LTQxNGEtNGI1Mi04YzRmLTRhZDJhNTBlODJmZSIsIkFQUExJQ0FUSU9OX1VTRVJfSUQiOiJtb2ZlLTIiLCJVU0VSIjoiY2E0MTJmZGYtNWEzMC00M2EyLTg4YjctNTk2NGEyNGE4ZTU1In0.gorwpnUjSr5dzQJLR32M2geWOj7yK9xMsZmq27ssY9xP_xGmWfUL_aqVHYyQ4r5KWw6Xb6RjvO839st8chJLtg",
"state": "a09f8ff9c1284444aa635267e05f76e1",
"authorizedAt": "2021-06-08T10:59:53.288Z",
"institutionConsentId": "aac-605d48f2-2a0e-4594-81a9-996524fa3b2a"
}
]
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Query Parameters
Optional. Filter records based on the list of applicationUserId users provided. At least one of these filters filter[applicationUserId], filter[userUuid]=, limit= must be provided.
Optional. Filter records based on the list of userUuid users provided. At least one of these filters filter[applicationUserId], filter[userUuid]=, limit= must be provided.
Optional. Filter records based on the list of Institution provided.
Optional. Returned transactions will be on or after this date (yyyy-MM-dd'T'HH:mm:ss.SSSZ).
Optional. Returned transactions will be on or before this date (yyyy-MM-dd'T'HH:mm:ss.SSSZ).
Optional. The maximum number of transaction records to be returned. Must be between 1 and 1000. At least one of these filters filter[applicationUserId], filter[userUuid]=, limit= must be provided.
Optional. The number of transaction records to be skipped. Used primarily with paginated results.
Was this page helpful?